// Common javascript methods that can be used
// by all javascript validation

//******************************************************************************
// Copyright (c) 2004, 2008 IBM Corporation.
// All rights reserved. This program and the accompanying materials
// are made available under the terms of the Eclipse Public License v1.0
// which accompanies this distribution, and is available at
// http://www.eclipse.org/legal/epl-v10.html
//
// Contributors:
//IBM Corporation - initial API and implementation
//******************************************************************************/ 

function and( value1, value2 )	{ return ( value1 && value2 ) };
function not( value1 ) 			{ return ( !value1 ) };
function or( value1, value2 )	{ return ( value1 || value2 ) };
function eq( value1, value2 )	{ return ( value1 == value2 ) };
function ne( value1, value2 )	{ return ( value1 != value2 ) };
function ge( value1, value2 )	{ return ( value1 >= value2 ) };
function le( value1, value2 )	{ return ( value1 <= value2 ) };
function lt( value1, value2 )	{ return ( value1 <  value2 ) };
function gt( value1, value2 )	{ return ( value1 >  value2 ) };

// pass in a string to be trimmed
function trim(target) {
	var result = "";
	if ( target != null ) {
		result = String(target).replace(/^\s+|\s+$/g,"");
	}
	return result;
}

// pass in a string and return true if it is not empty
function isNonEmptyString (s) { 
    return s != null && trim(s).length > 0;
}

// looks to see if the extension is found in the list
// ie.  hasExtension( "c:\foo.txt", "gif,tif,txt") would return true
function hasExtension ( item, extList ) {
	var result = false;
	var lastIndex = item.lastIndexOf( '.' );
	if (lastIndex != -1) {
		var ext = item.substr( lastIndex+1 );
		result = ( extList.toString().indexOf( ext ) != -1 );
	}		
	return result;
}

var accelerators = [];
function isDuplicateAccelerator (a) {
	var result = false;

	// the argument is expected to be an Integer
	for ( var i=0; i < accelerators.length  && !result; i++  ) {
		result = (accelerators[i] == a);
	}	

	// if we didn't find the accelerator - add it to the list
	// Don't add zero - this is not an accelerator
	if (!result && a != 0) {
		accelerators.push(a);
	}

	return result;
} 

function isValidUrl( s ) {
	var result = false;
	
	if ( s != null ) {
		// I found this pattern on the web and it seems to work correctly
		var pattern = new RegExp("([A-Za-z][A-Za-z0-9+.-]{1,120}:[A-Za-z0-9/](([A-Za-z0-9$_.+!*,;/?:@&~=-])|%[A-Fa-f0-9]{2}){1,333}(#([a-zA-Z0-9][a-zA-Z0-9$_.+!*,;/?:@&~=%-]{0,1000}))?)");		
		result = pattern.test(String(s));
	}
	
	return result;
}
